Debian Bug report logs - #627166
ipconfig: ignores dhcp options

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Wed, 18 May 2011 11:12:02 UTC

Severity: important

Found in version klibc/1.5.20-1

Fixed in version klibc/2.0-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, maximilian attems <maks@debian.org>:
Bug#627166; Package klibc-utils. (Wed, 18 May 2011 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, maximilian attems <maks@debian.org>. (Wed, 18 May 2011 11:12:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipconfig: ignores dhcp options
Date: Wed, 18 May 2011 13:08:47 +0200
Package: klibc-utils
Version: 1.5.20-1
Severity: important
File: ipconfig


ipconfig does not support many dhcp options.

Specifically it does not report the domain-search option which is
required to construct a resolv.conf properly.

It also does not report lease time which is required to construct a
lease file which could be later used by dhclient to renew the lease once
the system boots.


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (900, 'stable'), (510, 'unstable'), (500, 'testing'), (200, 'experimental'), (111, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages klibc-utils depends on:
ii  libklibc                      1.5.20-1   minimal libc subset for use with i

klibc-utils recommends no packages.

klibc-utils suggests no packages.

-- no debconf information




Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Thu, 31 May 2012 13:36:04 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Thu, 31 May 2012 13:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 627166-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 627166-close@bugs.debian.org
Subject: Bug#627166: fixed in klibc 2.0-1
Date: Thu, 31 May 2012 13:33:24 +0000
Source: klibc
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_2.0-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_2.0-1_amd64.udeb
klibc-utils-udeb_2.0-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_2.0-1_amd64.udeb
klibc-utils_2.0-1_amd64.deb
  to main/k/klibc/klibc-utils_2.0-1_amd64.deb
klibc_2.0-1.debian.tar.gz
  to main/k/klibc/klibc_2.0-1.debian.tar.gz
klibc_2.0-1.dsc
  to main/k/klibc/klibc_2.0-1.dsc
klibc_2.0.orig.tar.gz
  to main/k/klibc/klibc_2.0.orig.tar.gz
libklibc-dev_2.0-1_amd64.deb
  to main/k/klibc/libklibc-dev_2.0-1_amd64.deb
libklibc-udeb_2.0-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_2.0-1_amd64.udeb
libklibc_2.0-1_amd64.deb
  to main/k/klibc/libklibc_2.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627166@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 31 May 2012 15:05:55 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (d-i) (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (d-i) (udeb)
Closes: 627166
Changes: 
 klibc (2.0-1) unstable; urgency=low
 .
   * New upstream release (arch, ipconfig)
     - ipconfig support domain-search, lease (closes: #627166)
Checksums-Sha1: 
 67a782ca3f04cf85e0652f64057dfdf615d96219 1507 klibc_2.0-1.dsc
 8326f6fe172def351d7b5362245e874b11180220 619658 klibc_2.0.orig.tar.gz
 5d092c44f6611ef1382191c1344f26a489b6463b 20939 klibc_2.0-1.debian.tar.gz
 997b7915971995e3e16f0a8e8e80612128757b95 232710 libklibc-dev_2.0-1_amd64.deb
 edde441b4dc3bfceff7a13cea0b4523990507d53 56542 libklibc_2.0-1_amd64.deb
 6f3ad3613ea8765b46b3965e71fa77127a025282 190860 klibc-utils_2.0-1_amd64.deb
 fbd5c7486353c695b6f3aed9ad1116a8d595544d 189522 klibc-utils-udeb_2.0-1_amd64.udeb
 2a1187db67495ac8555cca5422284a4f23cf189e 26796 klibc-utils-floppy-udeb_2.0-1_amd64.udeb
 542087af6adcdf5c9881c8b784098b73c87656b7 38194 libklibc-udeb_2.0-1_amd64.udeb
Checksums-Sha256: 
 1e7c46b178689a8629916f2f60e9a0b44a621c3433628773d742c56f9da1e1dc 1507 klibc_2.0-1.dsc
 df1185f994d73628fb62db61ae6151fab0fdf6636c3bcc8e2857daaadac897bc 619658 klibc_2.0.orig.tar.gz
 82beb3f9db2394c35235425a21f92ac5a6c8616528a66052bebaf22ad8782038 20939 klibc_2.0-1.debian.tar.gz
 a9f7ad1bf000db4dbb280ff7ab3739fa85098198e9ac81ff2f5c7c2d6054be83 232710 libklibc-dev_2.0-1_amd64.deb
 08039379ecc503e2f8b965f0a1cca10e4b83863299272118ecee03ef0ddb47f8 56542 libklibc_2.0-1_amd64.deb
 5f9ec6f10ee67b42b9028ff996ed1b5a883b6f243879257bf2fb571eb93debbf 190860 klibc-utils_2.0-1_amd64.deb
 753ed09d8aaec10cfdc13bfb65f0efc99e9f96c8cfd50d69cf8907c8c13f9f88 189522 klibc-utils-udeb_2.0-1_amd64.udeb
 c49bd43e107393cbdbeb97952c797a3a6aaa9d8ae938db7acf27d23cd472c63a 26796 klibc-utils-floppy-udeb_2.0-1_amd64.udeb
 f843533848aa1acaeddf497e82e77476beea493148b368497fa1e27ac97e11d3 38194 libklibc-udeb_2.0-1_amd64.udeb
Files: 
 dfccc29232f5884319e984ae841240db 1507 libs optional klibc_2.0-1.dsc
 48125ae7cddbe4c37230588d1a470409 619658 libs optional klibc_2.0.orig.tar.gz
 7505561232a577c9fc212955d44ef3a4 20939 libs optional klibc_2.0-1.debian.tar.gz
 a6a020b8a398fe4f24949a771395e76f 232710 libdevel optional libklibc-dev_2.0-1_amd64.deb
 9c691eafabf6c3481bd69ca3dd8b9f61 56542 libs optional libklibc_2.0-1_amd64.deb
 9518d746211e03e0d605b1fbedefeee3 190860 libs optional klibc-utils_2.0-1_amd64.deb
 25f479d6e3cf63e94b7091d2b73132dc 189522 debian-installer optional klibc-utils-udeb_2.0-1_amd64.udeb
 ca3a306bf5dcd3bbb62462f933aea4d2 26796 debian-installer optional klibc-utils-floppy-udeb_2.0-1_amd64.udeb
 400e9b9522c272df739a4d310806d79e 38194 debian-installer optional libklibc-udeb_2.0-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/HbnsACgkQeW7Lc5tEHqi7ewCeMHfRDTtxwISR7LnubiUYF+BW
IpMAn1gPfBnr6w/hQoJZBHFFZhyGpg0g
=Dh95
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2012 07:42:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:50:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.